r"""This is an example of a doctest based demo using Cyrano.

Exposition comments are just free form text for doctest mode,  just
like ordinary doctest.  Statements,  however,  begin with >>> and
the expected results on sys.stdout and sys.stderr must be shown in
the immediately following lines:

>>> print "this!"
this!

Because the boss rules with an iron fist,  multi-line examples are
supported for a nominal fee:

>>> for i in range(3):
...    print "oh yeah!"
oh yeah!
oh yeah!
oh yeah!

You can even demo exceptions,  just like doctest,  using a simplified
format shown next,  because this *is* doctest:

>>> raise ValueError("This is a test")
Traceback (most recent call last):
...
ValueError: This is a test

"""

def test():
    """Run the demo doctest.  Return (errors, tests) tuple."""
    import doctest, demo_doctest
    results = doctest.testmod(
        demo_doctest, optionflags=doctest.NORMALIZE_WHITESPACE)
    return results

if __name__ == "__main__":
    print test()

