# This is an example of a doctest based demo using Cyrano.
#
# Exposition comments are just free form text for doctest mode,  just
# like ordinary doctest.  Statements,  however,  begin with >>> and
# the expected results on sys.stdout and sys.stderr must be shown in
# the immediately following lines:
#
import pyfits

ff = pyfits.open('nicmos.fits')
sum = 0. # getting read to sum all SCI extensions
for hdu in ff[1:]: # skip primary
    print "hdu:", hdu.header['extname']
    if hdu.header['extname'].startswith('SCI'):
        sum = sum + hdu.data
        hdu.data = None

ff.close()

#
print "this!"

# Expected:
## this!
#
# Because the boss rules with an iron fist,  multi-line examples are
# supported for a nominal fee:
#
for i in range(3):
   print "oh yeah!"

# Expected:
## oh yeah!
## oh yeah!
## oh yeah!
#
# You can even demo exceptions,  just like doctest,  using a simplified
# format shown next,  because this *is* doctest:
#
raise ValueError("This is a test")

# And here is the last straw!!~

