"""Support for embedding Matplotlib in Cyrano
$Id: embed_pylab.py 537 2008-11-03 20:07:06Z jmiller $
"""

import pylab, matplotlib
import matplotlib.backends.backend_tkagg as tka
import Tkinter as Tk
import matplotlib._pylab_helpers as pylab_helpers
from matplotlib.figure import Figure

def figure_widget(master=None, num=1):
	root = master or Tk.Tk()
	manager, canvas = new_figure_manager(num, window=master)
        canvas.get_tk_widget().pack(side=Tk.LEFT, fill=Tk.BOTH, expand=1)
        return canvas

def new_figure_manager(num=1, window=None, *args, **kwargs):
    """
    Create a new figure manager instance
    """
    FigureClass = kwargs.pop('FigureClass', Figure)
    figure = FigureClass(*args, **kwargs)
    if window is None:
        window = Tk.Tk()
    canvas = tka.FigureCanvasTkAgg(figure, master=window)
    figManager = tka.FigureManagerTkAgg(canvas, num, window)
    if matplotlib.is_interactive():
        figManager.show()
    pylab_helpers.Gcf.set_active(figManager)
    return figManager, canvas


